NSX-T Data Center REST API

List route controller interfaces

List route controller interfaces

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/route-controllers/{router-controller-id}/interfaces
Request Headers:
n/a
Query Parameters:
RouteControllerInterfaceListRequestParameters+
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/route-controllers/RC-1/interfaces/RC-1-Interface-1

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
RouteControllerInterfaceListResult+

Example Response:

{ "results": [ { "floating_ip_subnets": [ { "ip_addresses": [ "40.40.40.101" ], "prefix_len": 24 } ], "mtu": 1500, "urpf_mode": "STRICT", "interface_address": [ { "virtual_network_appliance_path": "/infra/sites/default/enforcement-points/default/virtual-network-appliance-clusters/virtual-network-appliance-cluster_1/virtual-network-appliances/vna_1", "interface_subnet": [ { "ip_addresses": [ "40.40.40.1" ], "prefix_len": 24 } ], "portgroup_id": "664c0348-2eaf-4937-939e-71bc8ef3ce67:dvportgroup-82" }, { "virtual_network_appliance_path": "/infra/sites/default/enforcement-points/default/virtual-network-appliance-clusters/virtual-network-appliance-cluster_1/virtual-network-appliances/vna_2", "interface_subnet": [ { "ip_addresses": [ "40.40.40.2" ], "prefix_len": 24 } ], "portgroup_id": "664c0348-2eaf-4937-939e-71bc8ef3ce67:dvportgroup-82" } ], "resource_type": "RouteControllerInterface", "id": "RC-1-Interface-1", "display_name": "RC-1-Interface-1", "path": "/infra/route-controllers/RC-1/interfaces/RC-1-Interface-1", "relative_path": "RC-1-Interface-1", "parent_path": "/infra/route-controllers/RC-1", "remote_path": "", "unique_id": "a95904e6-8306-4cd8-9151-3f66f87da884", "realization_id": "a95904e6-8306-4cd8-9151-3f66f87da884", "owner_id": "354641e0-27ca-477d-a200-fc150eeac6f0", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_protection": "NOT_PROTECTED", "_create_time": 1762477660886, "_create_user": "admin", "_last_modified_time": 1762477660886, "_last_modified_user": "admin", "_revision": 0 }, { "floating_ip_subnets": [ { "ip_addresses": [ "90.90.90.101" ], "prefix_len": 24 } ], "mtu": 1500, "urpf_mode": "STRICT", "interface_address": [ { "virtual_network_appliance_cluster_path": "/infra/sites/default/enforcement-points/default/virtual-network-appliance-clusters/virtual-network-appliance-cluster_1/virtual-network-appliances/vna_1", "interface_subnet": [ { "ip_addresses": [ "90.90.90.1" ], "prefix_len": 24 } ], "portgroup_id": "664c0348-2eaf-4937-939e-71bc8ef3ce67:dvportgroup-83" }, { "virtual_network_appliance_cluster_path": "/infra/sites/default/enforcement-points/default/virtual-network-appliance-clusters/virtual-network-appliance-cluster_1/virtual-network-appliances/vna_2", "interface_subnet": [ { "ip_addresses": [ "90.90.90.2" ], "prefix_len": 24 } ], "portgroup_id": "664c0348-2eaf-4937-939e-71bc8ef3ce67:dvportgroup-83" } ], "resource_type": "RouteControllerInterface", "id": "RC-1-Interface-2", "display_name": "RC-1-Interface-2", "path": "/infra/route-controllers/RC-1/interfaces/RC-1-Interface-2", "relative_path": "RC-1-Interface-2", "parent_path": "/infra/route-controllers/RC-1", "remote_path": "", "unique_id": "e662c8fb-c718-4c70-af59-519e79065d4c", "realization_id": "e662c8fb-c718-4c70-af59-519e79065d4c", "owner_id": "354641e0-27ca-477d-a200-fc150eeac6f0", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_protection": "NOT_PROTECTED", "_create_time": 1762477661002, "_create_user": "admin", "_last_modified_time": 1762477661002, "_last_modified_user": "admin", "_revision": 0 } ], "result_count": 2, "sort_by": "display_name", "sort_ascending": true }

Required Permissions:

read

Feature:

policy_route_controller

Additional Errors: